Get a Transactions Request

Retrieves the result of a previously created transactions request.

The response status is one of:

  • pending — the request is still being processed; poll again.
  • completed — the result is available in result.
  • failed — the request could not be completed; see failure_reason.

This endpoint is idempotent and re-readable: repeated reads of the same request_id return the same pre-computed page.
To retrieve a different page, create a new request via POST with the next_cursor value, which returns a new request_id.

This API must be called using a client_credentials bearer token.

Path Params
string
required

The unique identifier of the account.

uuid
required

The unique identifier of the transactions request, as returned when the request was created.

Headers
string
required

The unique identifier of the data connection.

string

Used to collect and record the end-user's IP address.
The first IP address in the list will be used as the end-user IP address.
Necessary to overcome 4 calls per day rate limits.

string
enum
Defaults to application/json; charset=UTF-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json; charset=UTF-8
application/problem+json; charset=UTF-8